typedef struct
{
    uint8_t dot4:1;
    uint8_t dot3:1;
    uint8_t dot2:1;
    uint8_t dot1:1;
    uint8_t dot0:1;
    uint8_t :3;
} __attribute__ ((packed))
vfd_dots_t;

typedef struct
{
    uint8_t id;
 
    vfd_dots_t dots[7];

    uint8_t :4;
    uint8_t underline:1;
    uint8_t :3;
}  __attribute__ ((packed))
vfd_symbol_t;

#define VFRDOTS(a,b,c,d,e) \
 { e,d,c,b,a }

/////////////////////////////////

vfd_symbol_t sym_szlig PROGMEM =
{
    .id = 0,
    .dots = 
    {
        VFRDOTS (0,0,0,0,0),
        VFRDOTS (0,1,1,1,0),
        VFRDOTS (1,0,0,0,1),
        VFRDOTS (1,0,1,1,0),
        VFRDOTS (1,0,0,0,1),
        VFRDOTS (1,0,1,1,0),
        VFRDOTS (1,0,0,0,0)
    }
};
